Name:          ctags
Epoch:         2
Version:       p5.9.20210131.0
Release:       1mamba
Summary:       A multi-language source code indexing tool
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://ctags.sourceforge.net/
Source:        https://github.com/universal-ctags/ctags.git/%{version}/ctags-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libjansson-devel
BuildRequires: libseccomp-devel
BuildRequires: libxml2-devel
BuildRequires: libyaml-devel
## AUTOBUILDREQ-END
BuildRequires: python-docutils-py3
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Exuberant Ctags generates an index (or tag) file of language objects found in source files for many popular programming languages.
This index makes it easy for text editors and other tools to locate the indexed items.
Exuberant Ctags improves on traditional ctags because of its multilanguage support, its ability for the user to define new languages searched by regular expressions, and its ability to generate emacs-style TAGS files.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/readtags
%{_mandir}/man1/*
%{_mandir}/man5/tags.5*
%{_mandir}/man7/ctags-*.7*
%doc COPYING

%changelog
* Tue Feb 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> p5.9.20210131.0-1mamba
- update to p5.9.20210131.0

* Thu Jan 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.20210124.0-1mamba
- update to 5.9.20210124.0

* Mon Jan 25 2021 Automatic Build System <autodist@mambasoft.it> r20210106-3mamba
- automatic version update by autodist

* Mon Jan 25 2021 Automatic Build System <autodist@mambasoft.it> r20210106-2mamba
- automatic version update by autodist

* Mon Jan 25 2021 Automatic Build System <autodist@mambasoft.it> r20210106-1mamba
- automatic version update by autodist

* Sun Jan 26 2020 Automatic Build System <autodist@mambasoft.it> r20200106-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> r20191026.git-1mamba
- update to r20191026.git

* Wed Jul 31 2013 Automatic Build System <autodist@mambasoft.it> 5.8-2mamba
- automatic rebuild by autodist

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 5.8-1mamba
- automatic update by autodist

* Sun Oct 28 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 5.7-1mamba
- package created by autospec
